v2.0.0
Public Member Functions
accessctrl_hw_t Struct Reference

## Public Member Functions
| _REG_ (ACCESSCTRL_LOCK_OFFSET) io_rw_32 lock
| _REG_ (ACCESSCTRL_FORCE_CORE_NS_OFFSET) io_rw_32 force_core_ns
| _REG_ (ACCESSCTRL_CFGRESET_OFFSET) io_wo_32 cfgreset
| _REG_ (ACCESSCTRL_GPIO_NSMASK0_OFFSET) io_rw_32 gpio_nsmask[2]
| _REG_ (ACCESSCTRL_ROM_OFFSET) io_rw_32 rom
| _REG_ (ACCESSCTRL_XIP_MAIN_OFFSET) io_rw_32 xip_main
| _REG_ (ACCESSCTRL_SRAM0_OFFSET) io_rw_32 sram[10]
| _REG_ (ACCESSCTRL_DMA_OFFSET) io_rw_32 dma
| _REG_ (ACCESSCTRL_USBCTRL_OFFSET) io_rw_32 usbctrl
| _REG_ (ACCESSCTRL_PIO0_OFFSET) io_rw_32 pio[3]
| _REG_ (ACCESSCTRL_CORESIGHT_TRACE_OFFSET) io_rw_32 coresight_trace
| _REG_ (ACCESSCTRL_CORESIGHT_PERIPH_OFFSET) io_rw_32 coresight_periph
| _REG_ (ACCESSCTRL_SYSINFO_OFFSET) io_rw_32 sysinfo
| _REG_ (ACCESSCTRL_RESETS_OFFSET) io_rw_32 resets
| _REG_ (ACCESSCTRL_IO_BANK0_OFFSET) io_rw_32 io_bank[2]
| _REG_ (ACCESSCTRL_PADS_BANK0_OFFSET) io_rw_32 pads_bank0
| _REG_ (ACCESSCTRL_PADS_QSPI_OFFSET) io_rw_32 pads_qspi
| _REG_ (ACCESSCTRL_BUSCTRL_OFFSET) io_rw_32 busctrl
| _REG_ (ACCESSCTRL_ADC0_OFFSET) io_rw_32 adc0
| _REG_ (ACCESSCTRL_HSTX_OFFSET) io_rw_32 hstx
| _REG_ (ACCESSCTRL_I2C0_OFFSET) io_rw_32 i2c[2]
| _REG_ (ACCESSCTRL_PWM_OFFSET) io_rw_32 pwm
| _REG_ (ACCESSCTRL_SPI0_OFFSET) io_rw_32 spi[2]
| _REG_ (ACCESSCTRL_TIMER0_OFFSET) io_rw_32 timer[2]
| _REG_ (ACCESSCTRL_UART0_OFFSET) io_rw_32 uart[2]
| _REG_ (ACCESSCTRL_OTP_OFFSET) io_rw_32 otp
| _REG_ (ACCESSCTRL_TBMAN_OFFSET) io_rw_32 tbman
| _REG_ (ACCESSCTRL_POWMAN_OFFSET) io_rw_32 powman
| _REG_ (ACCESSCTRL_TRNG_OFFSET) io_rw_32 trng
| _REG_ (ACCESSCTRL_SHA256_OFFSET) io_rw_32 sha256
| _REG_ (ACCESSCTRL_SYSCFG_OFFSET) io_rw_32 syscfg
| _REG_ (ACCESSCTRL_CLOCKS_OFFSET) io_rw_32 clocks
| _REG_ (ACCESSCTRL_XOSC_OFFSET) io_rw_32 xosc
| _REG_ (ACCESSCTRL_ROSC_OFFSET) io_rw_32 rosc
| _REG_ (ACCESSCTRL_PLL_SYS_OFFSET) io_rw_32 pll_sys
| _REG_ (ACCESSCTRL_PLL_USB_OFFSET) io_rw_32 pll_usb
| _REG_ (ACCESSCTRL_TICKS_OFFSET) io_rw_32 ticks
| _REG_ (ACCESSCTRL_WATCHDOG_OFFSET) io_rw_32 watchdog
| _REG_ (ACCESSCTRL_RSM_OFFSET) io_rw_32 rsm
| _REG_ (ACCESSCTRL_XIP_CTRL_OFFSET) io_rw_32 xip_ctrl
| _REG_ (ACCESSCTRL_XIP_QMI_OFFSET) io_rw_32 xip_qmi
| _REG_ (ACCESSCTRL_XIP_AUX_OFFSET) io_rw_32 xip_aux

The documentation for this struct was generated from the following file:

- include/hardware/structs/accessctrl.h